const Sequelize = require('sequelize');

export const TablesConfig = [
    {
        tableNameCn:'题目表',
        tableName:'question',
        schema:{
            qid: {
                type:Sequelize.INTEGER, //表示属性的数据类型
                allowNull:false, //表示当前列是否允许为空， false表示该列不能为空
                primaryKey:true, //表示主键
                unique:true, //表示该列的值必须唯一
                autoIncrement:true //设置为主键并自增
            },
            title: {type:Sequelize.STRING(255)}, //题目类型：1. 霍兰德
            test_type: {type:Sequelize.DATE}, //章节：1.霍兰德（一、我感兴趣的活动）2.霍兰德（二、我能完成的活动）3.霍兰德（三、我喜欢的职业）4.霍兰德（四、我的能力类型简评A）5.霍兰德（四、我的能力类型简评B）
            sort: {type:Sequelize.DATE}, //排序
            last_update_time: {type:Sequelize.INTEGER}, //最后修改时间
            create_time: {type:Sequelize.STRING(255)}, //创建时间
            is_del: {type:Sequelize.STRING(255)}, //是否删除 0.正常  1.已删除
        },
        association: []
    },
    {
        tableNameCn:'企业基础信息表',
        tableName:'enterprise',
        schema:{
            eId:{
                type:Sequelize.INTEGER, //表示属性的数据类型
                allowNull:false, //表示当前列是否允许为空， false表示该列不能为空
                primaryKey:true, //表示主键
                unique:true, //表示该列的值必须唯一
                autoIncrement:true //设置为主键并自增
            },
            enterpriseName: {type:Sequelize.STRING(255), allowNull:false}, //企业名称
            uscc: {type:Sequelize.STRING(18), allowNull:false}, //统一信用代码
            zhuCeHao:{type:Sequelize.STRING(100)},//注册号
            zuZhiJiGouDaiMa: {type:Sequelize.STRING(18)}, //组织机构代码
            gengDuoDianHua: {type:Sequelize.STRING(255)}, //更多电话
            mainBusiness: {type:Sequelize.TEXT}, //主营业务
            logonTime: {type:Sequelize.DATE}, //注册日期
            mail: {type:Sequelize.STRING(255)}, //邮箱
            isNaturalPersonHolding: {type:Sequelize.INTEGER}, //是否自然人控股企业（1表示是，0表示否） 【枚举】
            industry: {type:Sequelize.STRING(255)}, //领域
            moreMail: {type:Sequelize.STRING(255)}, //更多邮箱
            // dianHua: {type:Sequelize.STRING(100)}, //电话
            logonAddress: {type:Sequelize.STRING(255)}, //注册地址
            tongXinDiZhi: {type:Sequelize.STRING(255)}, //通信地址
            liaison: {type:Sequelize.STRING(50)}, //联系人
            liaisonPhone: {type:Sequelize.STRING(255)}, //联系电话
            dengJiJiGuan: {type:Sequelize.STRING(255)}, //登记机关
            qiYeGuiMo: {type:Sequelize.STRING(50)}, //企业规模
            RAS: {type:Sequelize.STRING(50)}, //登记状态
            guanWang: {type:Sequelize.STRING(255)}, //官网地址
            yingYeQiXian: {type:Sequelize.STRING(50)}, //营业期限
            logOffMS: {type:Sequelize.DATE}, //注销时间
            shijiaoziben: {type:Sequelize.STRING(255)}, //实缴资本
            enterpriseType: {type:Sequelize.STRING(50)}, //企业机构类型
            jianJie: {type:Sequelize.TEXT}, //简介
            zhuceziben: {type:Sequelize.STRING(255)}, //注册资本
            naShuiRenZiZhi: {type:Sequelize.STRING(50)}, //纳税人资质
            operatingAddress: {type:Sequelize.STRING(255)}, //经营地址
            oldLogonAddress: {type:Sequelize.STRING(255)},//迁入前注册地址
            shuiHao:{type:Sequelize.STRING(255)},//税号
            shuiWuJu:{type:Sequelize.STRING(255)},//税务局
            jingYingFanWei:{type:Sequelize.TEXT},//经营范围
            //状态标识
            register:{type:Sequelize.INTEGER},//是否通过申请 0=否 1=是
            state:{type:Sequelize.INTEGER},//是否通过入孵审核 0=否 1=是
            //临时填充信息用的验证码
            randomCode:{type:Sequelize.STRING(255)}
        },
        association: [
            {type: "hasMany", check: "enterprise_fuhua", foreignKey:"eId"},
            {type: "hasMany", check: "enterprise_lease", foreignKey:"eId"},
            {type: "hasMany", check: "enterprise_user", foreignKey:"eId"},
            {type: "hasMany", check: "enterprise_financing", foreignKey:"eId"},
            {type: "hasMany", check: "enterprise_honor", foreignKey:"eId"},
            {type: "hasMany", check: "enterprise_manage", foreignKey:"eId"},
            {type: "hasMany", check: "enterprise_qualification", foreignKey:"eId"},
            {type: "hasMany", check: "enterprise_canbao", foreignKey:"eId"},
            {type: "hasMany", check: "enterprise_team", foreignKey:"eId"},
            {type: "hasMany", check: "enterprise_ipr", foreignKey:"eId"},
            {type: "hasMany", check: "enterprise_legal_person", foreignKey:"eId"},
            {type: "hasMany", check: "enterprise_patent", foreignKey:"eId"},
            {type: "hasMany", check: "enterprise_service", foreignKey:"eId"}
        ]
    },

]; 